import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { Lockable, LockableInterface } from "../Lockable";
type LockableConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Lockable__factory extends ContractFactory {
    constructor(...args: LockableConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<Lockable>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): Lockable;
    connect(signer: Signer): Lockable__factory;
    static readonly bytecode = "0x60808060405234601e57600160ff195f5416175f556039908160238239f35b5f80fdfe5f80fdfea26469706673582212204f03e054a06919a3361e61ef6450e02689f336d9219066f454057b3260e648d864736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }];
    static createInterface(): LockableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Lockable;
}
export {};
